Bug 850900 - All the Flickr-related stuff is not in the subpackage
Summary: All the Flickr-related stuff is not in the subpackage
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tracker
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Deji Akingunola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-08-22 16:56 UTC by Mathieu Bridon
Modified: 2012-09-25 16:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-09-25 16:40:57 UTC
Type: Bug


Attachments (Terms of Use)
[PATCH] Move all the files related to the Flickr miner in the '-miner-flicker' subpackage (1.77 KB, patch)
2012-08-22 16:56 UTC, Mathieu Bridon
no flags Details | Diff

Description Mathieu Bridon 2012-08-22 16:56:17 UTC
Created attachment 606341 [details]
[PATCH] Move all the files related to the Flickr miner in the '-miner-flicker' subpackage

Description of problem:
The Flickr miner has been moved to a subpackage some time ago, but there are still some related files remain in the main package.

This is clearly visible with tracker-control:
 $ tracker-control 
 Found 147 PIDs…
 Found process ID 1148 for 'tracker-store'
 Found process ID 1153 for 'tracker-miner-fs'
 
 Store:
 23 Aug 2012, 00:53:15:  ✓     Store                 - Idle 
 
 Miners:
 23 Aug 2012, 00:53:15:  ✗     Flickr                - Not running or is a disabled plugin
 23 Aug 2012, 00:53:15:  ✓     File System           - Idle 
 23 Aug 2012, 00:53:15:  ✓     Applications          - Idle 

The error about the Flickr miner is confusing. (is it a bug? should this be working?)

I'm attaching a patch with applies to both the f18 and master branches of the dist-git tree for tracker and moves the Flickr-related files to the correct subpackage.

After rebuilding with the patch:
 $ tracker-control 
 Found 149 PIDs…
 Found process ID 1148 for 'tracker-store'
 Found process ID 1153 for 'tracker-miner-fs'
 
 Store:
 23 Aug 2012, 00:49:51:  ✓     Store                 - Idle 
 
 Miners:
 23 Aug 2012, 00:49:51:  ✓     File System           - Idle 
 23 Aug 2012, 00:49:51:  ✓     Applications          - Idle

Comment 1 Mathieu Bridon 2012-09-20 11:02:35 UTC
Ping?

This is a trivial cosmetic change which would be nice to have for Fedora 18.

Comment 2 Deji Akingunola 2012-09-20 15:40:48 UTC
Thanks for the patch. An update including this fix will soon be submitted.

Comment 3 Fedora Update System 2012-09-20 16:08:23 UTC
tracker-0.14.2-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/tracker-0.14.2-3.fc17

Comment 4 Fedora Update System 2012-09-20 16:08:51 UTC
tracker-0.14.2-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/tracker-0.14.2-4.fc18

Comment 5 Fedora Update System 2012-09-21 23:57:12 UTC
Package tracker-0.14.2-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tracker-0.14.2-3.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14445/tracker-0.14.2-3.fc17
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2012-09-25 16:40:57 UTC
tracker-0.14.2-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.